Subject: Re: Newbie experience with push over ssh

From: Jeff King <[email-masked]>
Date: Wed, 14 Feb 2007 12:51:40 -0500

On Wed, Feb 14, 2007 at 05:47:03PM +0000, Joseph Wakeling wrote:

> For one thing, I might be making small changes or have unversioned files
> in my local directory that I don't want to copy.  I only want to push
> across the latest code in the branch.

rsync will efficiently push small changes. Just feed it input from git's
list of versioned files:

git ls-files -z | rsync -a --files-from=- -0 . host:/path/to/dest

-Peff